Package net.sf.saxon.option.exslt

## Class Random

- java.lang.Object
- - net.sf.saxon.option.exslt.Random

-     public abstract class Random
      extends java.lang.Object

  This class implements extension functions in the http://exslt.org/random namespace.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Random()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DoubleValue` | `randomSequence()` | Returns a single random number X between 0 and 1.
    `static SequenceIterator` | `randomSequence​(int numberOfItems)` | Returns a sequence of random numbers between 0 and 1.
    `static SequenceIterator` | `randomSequence​(int numberOfItems, double seed)` | Returns a sequence of random numbers between 0 and 1.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Random

          public Random()

  - ### Method Detail

    - #### randomSequence

          public static SequenceIterator randomSequence​(int numberOfItems,
                                                        double seed)
                                                 throws java.lang.IllegalArgumentException

      Returns a sequence of random numbers between 0 and 1.
      Parameters:
        `numberOfItems` - number of random items in the sequence.
        `seed` - the initial seed.
      Returns:
        sequence of random numbers as an iterator.
      Throws:
        `java.lang.IllegalArgumentException` - `numberOfItems` is not positive.

    - #### randomSequence

          public static SequenceIterator randomSequence​(int numberOfItems)
                                                 throws java.lang.IllegalArgumentException

      Returns a sequence of random numbers between 0 and 1.
      Parameters:
        `numberOfItems` - number of random items in the sequence.
      Returns:
        sequence of random numbers.
      Throws:
        `java.lang.IllegalArgumentException` - `numberOfItems` is not positive.

    - #### randomSequence

          public static DoubleValue randomSequence()
                                            throws XPathException

      Returns a single random number X between 0 and 1.
      Returns:
        sequence random number.
      Throws:
        `XPathException`